## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNodeSet Class Reference

Class to hold XPath return types. More...

`#include <XNodeSet.hpp>`

Inheritance diagram for XNodeSet

Collaboration diagram for XNodeSet:

List of all members.

## Public Types

- typedef XPathExecutionContext::BorrowReturnMutableNodeRefList BorrowReturnMutableNodeRefList

## Public Methods

- XNodeSet (BorrowReturnMutableNodeRefList& value)
    Create an XNodeSet from a node list. More...
- XNodeSet ( const XNodeSet& source, bool deepClone = false)
    Create an XNodeSet from another. More...
- virtual ~XNodeSet ()
- virtual XNodeSet* clone (void* theAddress = 0) const
    Clone the instance. More...
- virtual const NodeRefListBase& nodeset () const
    Cast result object to a nodelist. More...
- virtual XalanNode* item (size_type index) const
- virtual size_type getLength () const
- void release ()
    Release the node set held by the instance.
- void set (BorrowReturnMutableNodeRefList& value)
    Change the value of an XNodeSet. More...

## Detailed Description

Class to hold XPath return types.

## Member Typedef Documentation

typedef XPathExecutionContext::BorrowReturnMutableNodeRefList XNodeSet::BorrowReturnMutableNodeRefList

## Constructor & Destructor Documentation

XNodeSet::XNodeSet ( | BorrowReturnMutableNodeRefList & value )

Create an XNodeSet from a node list.

Parameters:

  value | Pointer to source node list. The XNodeSet will adopt the pointer.

XNodeSet::XNodeSet ( | const XNodeSet & source,
| bool deepClone = false )

Create an XNodeSet from another.

Parameters:

  source | object to copy
  deepClone | true to copy all children on nodeset nodes

virtual XNodeSet::~XNodeSet ( | )`[virtual]`

## Member Function Documentation

virtual XNodeSet* XNodeSet::clone ( | void * theAddress = 0 ) const`[virtual]`

Clone the instance.

Parameters:

  If | theAddress is not null, the XObject will clone itself into that address.

Returns:
  a clone of the instance.

Reimplemented from XNodeSetBase.

Reimplemented in XSpan.

virtual size_type XNodeSet::getLength ( | ) const`[virtual]`

Reimplemented from XNodeSetBase.

virtual XalanNode* XNodeSet::item ( | size_type index ) const`[virtual]`

Reimplemented from XNodeSetBase.

virtual const NodeRefListBase& XNodeSet::nodeset ( | ) const`[virtual]`

Cast result object to a nodelist.

Returns:
  node list

Reimplemented from XNodeSetBase.

void XNodeSet::release ( | )

Release the node set held by the instance.

void XNodeSet::set ( | BorrowReturnMutableNodeRefList & value )

Change the value of an XNodeSet.

Parameters:

  theValue | The new value.

The documentation for this class was generated from the following file:

- XNodeSet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.